Package org.eclipse.birt.report.engine.api

# Interface IDocumentWriter

public interface IDocumentWriter

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
close this document writer; this method might trigger updates of the report document
`void`
`setRunnable(IReportRunnable runnable)`
set a report runnable which can be used to update a report document

## Method Details

### setRunnable

void setRunnable(IReportRunnable runnable) throws EngineException
set a report runnable which can be used to update a report document

Parameters:
  `runnable` - a report runnable
Throws:
  `EngineException`

### close

void close()
close this document writer; this method might trigger updates of the report document